%define upstream_name       Module-ScanDeps
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Recursively scan Perl code for dependencies
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build::ModuleInfo)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This is a module to recursively scan Perl programs for dependencies.

An application of Module::ScanDeps is to generate executables from scripts
that contains necessary modules; this module supports two such projects, PAR
and App::Packer.  Please see their respective documentations on CPAN for
further information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make 

%check
%__make test

%install
%{makeinstall_std}

%files
%doc AUTHORS Changes META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/Module

%changelog

* Thu Feb 23 2012 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 213068
- update to 1.08

* Fri Dec 02 2011 kharec <kharec> 1.70.0-1.mga2
+ Revision: 175240
- update to 1.07

* Tue Nov 08 2011 jquelin <jquelin> 1.50.0-1.mga2
+ Revision: 165540
- update to 1.05
- update to 1.04

* Thu Apr 07 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 81805
- update to 1.02

* Mon Mar 28 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 78379
- update to 1.01

* Tue Feb 22 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 56659
- update to 1.00

* Wed Jan 19 2011 jquelin <jquelin> 0.980.0-1.mga1
+ Revision: 24258
- fix specs
- imported package perl-Module-ScanDeps

